Skip to main content
The /experimental-features route allows you to activate or deactivate some of Meilisearch’s experimental features. This route is synchronous. This means that no task object will be returned, and any activated or deactivated features will be made available or unavailable immediately.
The experimental API route is not compatible with all experimental features. Consult the experimental feature overview for a compatibility list.

Experimental features object

Get all experimental features

GET
/experimental-features
Get a list of all experimental features that can be activated via the /experimental-features route and whether or not they are currently activated.

Example

Response: 200 Ok

Configure experimental features

PATCH
/experimental-features
Activate or deactivate experimental features.
Setting a field to null leaves its value unchanged.

Body

Response: 200 Ok